pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46738: devel/libwnck fails to build after xcb-util split

>Number:         46738
>Category:       pkg
>Synopsis:       devel/libwnck fails to build after xcb-util split
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Jul 24 08:45:00 +0000 2012
>Originator:     Marc Baudoin
>Release:        NetBSD/i386 5.1.2
NetBSD 5.1.2 NetBSD 5.1.2 (GENERIC) #0: Thu Feb  2 
17:22:10 UTC 2012

Using pkgsrc (up-to-date), package devel/libwnck fails to build, supposedly due 
to the recent xcb-util / xcb-util036 split, with the following error message:

  CCLD   wnckprop
ld: cannot find -lxcb-aux
gmake[2]: *** [wnckprop] Error 1
gmake[2]: Leaving directory 
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/pkgsrc/devel/libwnck/work/libwnck-2.30.6'
gmake: *** [all] Error 2
*** Error code 2

make: stopped in /usr/pkgsrc/devel/libwnck
*** Error code 1

make: stopped in /usr/pkgsrc/devel/libwnck

libwnck is a distant dependancy to meta-pkgs/xfce4 so this problem is pretty 



Home | Main Index | Thread Index | Old Index